The ***MyEclipse BugSur*** tool is a java program that fixes most of the UI issues that MyEclipse packages have when installed on top of macOS Big Sur. Some of such issues are described in [this forum post](https://www.genuitec.com/forums/topic/numerous-ui-problems-with-macos-big-sur-please-help).

When running the tool in your system, it will automatically detect compatible SDC based installations (can be MyEclipse or Angular IDE) and prompt for a confirmation, then it will update the SWT and JFace plugins as well as making the necessary changes to the installation to be compatible with such versions.

***Note***: It has only been tested on MyEclipse 2019 and 2020 versions, though older versions may also see improvement. If running on older MyEclipse versions results in incompatibilities, the tool allows reverting the SWT version changes.

# Prerequisites
- Only runs on macOS.
- Java 1.8 or older in your system.
- Have a compatible SDC package installed.

# To use the tool
1. In your terminal, run `java -jar myeclipse-bigsur.jar --fix`    <br>
Example output:
```
The following package can be fixed: 
/Applications/MyEclipse 2019/MyEclipse
Do you want to fix it? (yes | no)
```
2. Type `yes` or just `y` and hit `ENTER`   <br>
It will then attempt to automatically fix it. The output should be similar to this:
```
Fixing /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile
Patching: org.eclipse.swt_3.112.0.v20190904-0609.jar
Patching: org.eclipse.jface_3.17.0.v20190820-1444.jar
Patching: org.eclipse.swt.cocoa.macosx.x86_64_3.112.0.v20190904-0609.jar
bundles.info patched successfully
Patching /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/p2/org.eclipse.equinox.p2.engine/profileRegistry/com.genuitec.delivery.package.profile.2915-Enr-0574.profile/1607531975767.profile.gz
profile patched successfully
/Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile fixed successfully
```
3. Done, it should be fixed now.

# If something goes wrong

If the fix didn’t work on your package or if an unexpected consequence happened (maybe incompatibility with your installed plugins). You can always restore the installation to the original state.

## To restore the installation
1. In your terminal, run
`java -jar myeclipse-bigsur.jar --restore`
<br>
Example output:
```The following package can be restored: 
/Applications/MyEclipse 2019/MyEclipse
Do you want to restore it? (yes | no)
```
2. Type `yes` or just `y` and hit `ENTER`
    <br>
    It will then attempt to restore the package. The output should be similar to this:
```Restoring /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile
File restored: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.jface_3.17.0.v20190820-1444.jar
File removed: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.jface_3.22.0.v20201106-0834.jar
File restored: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.swt_3.112.0.v20190904-0609.jar
File removed: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.swt_3.115.100.v20201202-1103.jar
File restored: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.swt.cocoa.macosx.x86_64_3.112.0.v20190904-0609.jar
File removed: /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/plugins/org.eclipse.swt.cocoa.macosx.x86_64_3.115.100.v20201202-1103.jar
bundles.info patched successfully
Patching /Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile/p2/org.eclipse.equinox.p2.engine/profileRegistry/com.genuitec.delivery.package.profile.2915-Enr-0574.profile/1607531975767.profile.gz
profile patched successfully
/Applications/MyEclipse 2019/MyEclipse.app/Contents/Profile restored successfully
```    
3. Done, the package should be restored.